For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Fetch a Push Notification

GET
https://comms.twilio.com/v1/PushNotifications/:pushNotificationId
GET
/v1/PushNotifications/:pushNotificationId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.fetch("pushNotificationId");
9}
10main();
1{
2 "content": {
3 "title": "Limon Eats",
4 "body": "Your order is on the way!"
5 },
6 "createdAt": "2025-05-30T17:24:46Z",
7 "from": {
8 "fcm": "comms_credential_b554a2dc48d74ff03500c2a582349cad"
9 },
10 "id": "comms_pushnotification_3de3vbxqx0aghtdy1jgf9qdteh",
11 "status": "SENT",
12 "to": {
13 "provider": "FCM",
14 "token": "dQvBnKpXmRtYwLzHjFsEuA:APA91bHNaWc-KdLePfQgShTiUjVk_WlXmYnZoApBqCr-DsEtFuGvHwIxJy_KzLaMbNcOdPeQfRgShTiUjVk-WlXmYnZoApBqCrDsEtFuGvHwIxJy_KzLaMbNcO"
15 },
16 "updatedAt": "2025-05-30T17:24:49Z",
17 "priority": "HIGH",
18 "sound": null
19}

This operation fetches a single Push Notification using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

Fetch a Push Notification Operation

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

pushNotificationIdstringRequired

Response

OK
contentobject
The content of the Push Notification.
createdAtstringformat: "date-time"
The date and time when the Push Notification was created, in ISO 8601 format.
fromobject

The credentialId is used for authentication and authorization when sending the push notification through the respective channel.

idstringformat: "^comms_pushnotification_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a PushNotification.
statusenum

The status of a Push Notification resource. The status can be one of the following:

  • scheduled The Push Notification is scheduled to be sent by Twilio in the future.

  • queued The Push Notification is queued in Twilio for sending.

  • sent The Push Notification resource has been sent by Twilio.

  • failed The Push Notification resource processing failed inside Twilio. Use GET /PushNotifications/Operations/{operationId}/Errors for more details.

  • canceled The communication resource was canceled via API request.

Allowed values:
toobject
The recipient of the Push Notification
updatedAtstringformat: "date-time"
The date and time when the Push Notification was last updated, in ISO 8601 format.
priorityenumDefaults to HIGH
The priority of the Push Notification. A value of "low" reduces the client app battery consumption. A value of "high" sends the notification immediately and can wake up a sleeping device.
Allowed values:
soundstring or null
The name of the sound to be played for the push notification.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error